Main Stories
Slash Boxes

Slash Open Source Project

Slashcode Log In

Log In

[ Create a new account ]

Slash 2.2.2 Released

posted by pudge on 02:58 PM January 2nd, 2002   Printer-friendly   Email story
Not much to this one, but a new release. It's very strongly recommended that everyone using 2.2.0 or 2.2.1 upgrade. Download it via HTTP or and FTP, and read the README and changelog.
This discussion has been archived. No new comments can be posted.
The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login
Loading... please wait.
  • "It is strongly recommended that you upgrade" makes me think there is something at risk if I don't. Is there anything I should be concerned about as far as security if I do NOT upgrade?
    --

    END OF LINE.

  • hate to ruin anyone's day, but it's a zero length file!

    Wow, what an upgrade!

    I'd also like to know why the upgrade is so "urgent"...
    --

    Yoder Internet Development [yoderdev.com]: Honest and Affordable Web Solutions
  • Dammit pudge, if this release has a security fix in it, we need to know NOW.

    I'm serious, no excuses please. Releases should be open and honest; I shouldn't have to read through the readme and changelog to find some fuckup that could bring my sites to a grinding halt.

    --
    One future, two choices. Oppose them or let them destroy us.
  • I had an extra , in schema.sql in the CREATE TABLE discussions stuff... much annoying. There are still errors in the schema, I'm working to track them down so I can get this to install. Yay 2.2.2 =/
    • schema.sql had another error... in CREATE TABLE discussions, the id column was not defined as a key: original: CREATE TABLE discussions ( id mediumint UNSIGNED NOT NULL auto_increment, sid char(16) DEFAULT '' NOT NULL, title varchar(128) NOT NULL, url varchar(255) NOT NULL, topic smallint UNSIGNED NOT NULL, ts datetime DEFAULT '0000-00-00 00:00:00' NOT NULL, type enum("open","recycle","archived") DEFAULT 'open' NOT NULL, uid mediumint UNSIGNED NOT NULL, commentcount smallint UNSIGNED DEFAULT '0' NOT NULL, flags enum("ok","delete","dirty") DEFAULT 'ok' NOT NULL, section varchar(30) NOT NULL, KEY (sid), FOREIGN KEY (sid) REFERENCES stories(sid), FOREIGN KEY (uid) REFERENCES users(uid), FOREIGN KEY (topic) REFERENCES topics(tid), INDEX (type,uid,ts)) TYPE = myisam; I added PRIMARY KEY (id), in the line before KEY (sid),
    • I am not sure what you're referring to offhand. Please submit bug reports, with patches if you have them, and we'll take care of it for the next release if appropriate.
      • Install on 2.2.2 breaks, period. Please provide us a workaround at least. See the trace below

        [SNIP]
        What is the email address of the account? [slash@eyemax.pif.net]
        DBD::mysql::db do failed: You have an error in your SQL syntax near ') TYPE = myisam' at line 1 at bin/install-slashsite line 341.
        The CREATE TABLE command below failed. This almost certainly means
        the rest of the slashsite installation will fail, so we're aborting.
        This is probably because your SQL user associated with your
        DBIx::Password us
        • Again, please file a bug report [sourceforge.net]. That is how we can make sure things get the attention they need.
          • Ok... This has worked for me (I mean it installs now, nothing more) :
            slash@eyemax:~/slash-2.2.2/sql/mysql > diff -Bu slashschema_create.sql.ORIG slashschema_create.sql
            --- slashschema_create.sql.ORIG Sat Jan 5 13:15:11 2002
            +++ slashschema_create.sql Sat Jan 5 13:16:57 2002
            @@ -240,6 +240,8 @@
                      FOREIGN KEY (uid) REFERENCES users(uid),
                      FOREIGN KEY (topic) REFERENCES topics(tid),
                      INDEX (type,uid,ts),
            + KEY (sid),
            + PRIMARY KEY (id)
              ) TYPE = myisam;